/* Text based quizzes */

.ukq_hero .headline-1 {
  text-align: left;
  font-size: 1.4em;
  margin-bottom: 0.3em !important;
  color: #121212;
  font-weight: 600;
  font-family: 'Proxima Nova', Helvetica, sans-serif;
}

.headline-with-image {
  margin-bottom: 0.5em;
}

.optional_uknf_html {
  line-height: auto;
  font-size: 100%;
  margin-top: 15px;
}

.image-answer-area {
  text-align: center;
  margin-top: 5px !important;
}

.text-answer-area {
  margin-top: 0.8em !important;
}

.image-contain {
  display: inline-block;
  margin: 0px;
  width: 100%;
  max-width: 693px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 10px;
}

.optional_uknf_html img {
  max-width: 100%;
  max-height: 500px;
}

.uk_engine_quiz .ukf_textq {
  list-style: none;
  border: 1px solid #D8D8D8;
  margin: 0 0 14px 0 !important;
  padding: 8px 7px 10px !important;
  min-height: 21px;
  background-color: #f2f2f2;
  position: relative;
  text-align: left;
}

.ukq_text_answer_text {
  font-size: 1em !important;
  display: block;
  position: relative;
  top: 1.5px;
  line-height: normal !important;
}

/* Final sharing */

.ukq_sharing {
  width: 100%;
  border: 0;
  margin-bottom: 3px !important;
}

ul.ukq_sharing {
  list-style: none;
  padding: 0;
  margin: 0 0 3px !important;
  display: flex;
  flex-flow: row nowrap;
}

.ukq_sharing li {
  width: 100%;
  margin: 0 1px;
}

.ukq_sharing td {
  padding: 1px !important;
}

.ukq_sharing svg {
  height: 2em;
  width: 2em;
  margin-top: 0.3em;
  margin-bottom: -0.1em;
}

.ukq_sharing svg path {
  fill: #fff;
}


/* Question */

.uk_engine_quiz {
  text-align: left;
}

.ukq_question {
  margin-bottom: 13px !important;
  margin-top: 1.5em !important;
}


/* Question Hero Container */

.ukq_hero {
  text-align: center;
  margin-bottom: 3px;
  margin-top: 20px;
  width: 100%;
  display: block;
}

.ukq_hero_img {
  width: 100%;
  max-width: 693px !important;
}

.ukq_imagecredit {
  color: gray !important;
  font-size: 0.6em !important;
  line-height: 10px !important;
  height: 13px !important;
  overflow: hidden !important;
  font-style: italic !important;
  padding: 0 !important;
  margin-top: 5px !important;
  margin-bottom: 0 !important;
}

.ukq_imagecredit a {
  color: gray;
}


/* Answer container */

.ukq_answers {
  text-align: center;
  line-height: 0;
}


/* Answers, hover and activation effects */

#buzz_sub_buzz {
  overflow: initial !important;
}

.ukq_answer {
  font-family: 'Proxima Nova', Helvetica, sans-serif;
  font-size: 1.2em !important;
  line-height: normal !important;
  box-sizing: content-box;
  background-color: #f2f2f2;
  border: 1px solid #d8d8d8 !important;
  padding: 4px !important;
  overflow: hidden;
  position: relative;
  text-align: left;
  margin-bottom: 0.7em !important;
}

.enabled .ukq_answer label {
  cursor: pointer;
  pointer-events: none;
}

.enabled .ukq_answer {
  cursor: pointer;
}

.ukq_image_answer {
  margin: 3px !important;
}

.ukq_img {
  float: left;
  width: calc(100% / 3);
}

.ukq_2col {
  width: 50%;
}

.ukq_ansdesc {
  position: relative;
  display: inline-block;
  left: 0px;
  top: 5px;
  text-align: left;
  font-size: 0.9em;
  font-weight: 400 !important;
  margin-bottom: 4px !important;
  width: 100%;
  height: auto;
}

.ukq_align_ansdesc {
  float: left;
  width: calc(100% - 1em - 7px);
  min-height: 1em;
  left: 0px;
  margin-bottom: 0px !important;
  margin-top: 0.12em !important;
}

.ukq_answer.deactivated {
  opacity: 0.6;
}

.uk_engine_quiz .enabled .ukq_answer:hover,
.uk_engine_quiz .enabled .ukq_answer:not(.deactivated):focus,
.uk_engine_quiz .enabled .ukq_answer:not(.deactivated):focus-within {
  background-color: #fff195;
  opacity: 1;
}


/* Don't do hovering on deactivated cells... */

.uk_engine_quiz .ukq_answer.deactivated:hover {
  background-color: #f2f2f2;
  opacity: 0.6;
}

.ukq_answer.selected {
  background-color: #8ac5ff !important;
  color: #000;
  opacity: 1;
}

.ukq_answer.selected.terminated,
.ukq_answer.selected.incorrect {
  background-color: #FF9999 !important;
}

.ukq_answer.correct {
  background-color: #82ff9e !important;
}

.ukq_answer.selected.correct {
  background-color: #82ff9e !important;
}


/* Images in answers - now with load placehold */

.ukq_question .ukq_ans_img {
  position: relative;
  line-height: 0 !important;
}

.ukq_question .ukq_ans_img:before {
  content: "";
  display: block;
  padding-top: 100%;
}

.ukq_question .ukq_ans_img_wrap {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

.ukq_2col .ukq_ans_img:before {
  padding-top: 72%;
}

.ukq_ans_img img {
  width: 100%;
  min-width: 100%;
}


/* Images in results, load placehold */

.ukq_quiz_results .ukq_quiz_result_image {
  position: relative;
  line-height: 0 !important;
  max-width: 630px;
  margin-top: -10px !important;
}

.ukq_quiz_results .ukq_quiz_result_image:before {
  content: "";
  display: block;
  padding-top: 46.5%;
}

.ukq_quiz_results .ukq_quiz_result_image_inner {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  overflow: hidden;
}

.ukq_quiz_results .ukq_imagecredit {
  margin-bottom: 7px !important;
}


/* Hero jog fix */

.ukq_hero_img_wrap_outer {
  position: relative;
  line-height: 0 !important;
  max-width: 693px;
  margin-left: auto;
  margin-right: auto;
  overflow: hidden;
}

.ukq_hero_img_wrap_outer:before {
  content: "";
  display: block;
  padding-top: 47.5%;
}

.ukq_hero_img_wrap_inner {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}


/* Credit for answer images */

.ukq_ans_img_credit {
  bottom: 0px;
  right: 0;
  max-width: 60%;
  overflow-x: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  position: absolute;
  color: #dbdbdb !important;
  background: white;
  padding: 9px 6px !important;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
  font-size: 0.6em !important;
  word-break: break-word;
  font-weight: 300;
  font-family: Helvetica;
  font-style: italic;
}

.ukq_ans_img_credit a {
  color: #dbdbdb !important;
  opacity: 0.7;
}

.ukq_ans_img_credit a:hover {
  text-decoration: underline;
}


/* Checkbox for ticking */


/* Mobile */

.ukq_checkbox {
  width: 1em;
  height: 1em;
  float: left;
  position: relative;
  margin-right: 0.35em;
  top: 0.15em;
}


/* Hide form fields but make them screen reader accessible */

.ukq_answer input {
  position: absolute;
  display: block;
  -webkit-appearance: none;
  appearance: none;
  width: 0;
  height: 0;
  padding: 0;
  margin: 0;
  border: 0 !important;
  overflow: hidden;
}

.ukq_checkbox_inner {
  width: 1em;
  height: auto;
  border: none;
  background: none;
  margin: 0;
}

.ukq_checkbox_inner:before {
  content: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxMDAgMTAwIj4KICA8Y2lyY2xlIGN4PSI0OS41IiBjeT0iNDkuNSIgcj0iNDUiIHN0eWxlPSJmaWxsOiB0cmFuc3BhcmVudDtzdHJva2U6ICMwMDA7c3Ryb2tlLW1pdGVybGltaXQ6IDEwO3N0cm9rZS13aWR0aDogOXB4Ii8+Cjwvc3ZnPgo=");
  font-size: 1em;
  line-height: 1em;
  color: #3d3d3d;
}


/* Mobile */

.ukq_answer.selected .ukq_checkbox_inner:before {
  content: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxMDAgMTAwIj4KICA8Y2lyY2xlIGN4PSI0OS41IiBjeT0iNDkuNSIgcj0iNDUiIHN0eWxlPSJmaWxsOiB0cmFuc3BhcmVudDtzdHJva2U6ICMwMDA7c3Ryb2tlLW1pdGVybGltaXQ6IDEwO3N0cm9rZS13aWR0aDogOXB4Ii8+CiAgPGNpcmNsZSBjeD0iNDkuNSIgY3k9IjQ5LjUiIHI9IjI1IiBzdHlsZT0ic3Ryb2tlOiAjMDAwO3N0cm9rZS1taXRlcmxpbWl0OiAxMDtzdHJva2Utd2lkdGg6IDVweCIvPgo8L3N2Zz4K");
}


/* Results */

.ukq_nopad {
  padding: 0px !important;
}

.ukq_quiz_results {
  background-color: #fefefe;
  border: 1px solid #dddddd !important;
  padding: 2% !important;
  margin: 20px 0 !important;
  font-family: 'Proxima Nova', Helvetica, sans-serif !important;
}

.ukq_quiz_results span,
.ukq_quiz_results h2,
.ukq_quiz_results h3 {
  display: block;
  padding: 10px 0;
  line-height: normal;
  margin: 0;
}

.ukq_quiz_results .answer_shares_buttons {
  display: inline-block;
}

.ukq_quiz_results .ukq_quiz_name {
  font-size: 0.9em;
  line-height: 23px;
  font-weight: 600;
  color: #797979;
  margin: 0 0 5px 0;
  padding: 0;
}

.ukq_quiz_results .ukq_quiz_result {
  font-size: 1.4em;
  line-height: 1.1em;
  font-weight: 600;
}

.ukq_quiz_results .ukq_quiz_text {
  font-size: 0.9em;
  line-height: 23px;
  color: #797979;
  margin: 0 0 10px 0;
  padding: 0;
}

.ukq_quiz_result_image img {
  max-width: 100%;
}

.ukq_quiz_results .svg-icon {
  top: 10px;
  position: relative;
}

.ukq_res_ghr {
  margin-top: 10px;
  border-top: 1px solid #dddddd;
  margin-left: -5.5%;
  margin-right: -5.5%;
}

.ukq_share_it {
  font-size: 1.5em;
  margin-bottom: 2%;
  font-weight: 600;
}


/*Mobile tweaks for image answers */

@media(max-width:500px) {
  .ukq_image_answer .ukq_ansdesc .ukq_align_ansdesc {
    font-size: 0.73em;
    width: calc(100% - 1.3em);
    min-height: 0.5em;
    word-wrap: break-word;
    overflow: hidden;
  }
  .ukq_image_answer .ukq_ansdesc .ukq_checkbox {
    width: 0.65em;
    height: 0.8em;
    margin: -4px 3px 0px 1px !important;
  }
  .ukq_checkbox {
    left: -0.1em;
  }
  .ukq_ans_img_credit {
    font-size: 0.4em !important;
    padding: 0.8em 0.5em !important;
    bottom: 1px;
  }
}


/* Multi-select */

.uknf_solidish {
  cursor: pointer !important;
  box-sizing: border-box;
  padding: 0 !important;
  background-image: none !important;
  border: 1px solid transparent !important;
  white-space: nowrap !important;
  -webkit-appearance: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none;
  padding: .5em .875em !important;
  font-size: 1em !important;
  line-height: 1.5em !important;
  border-radius: 3px !important;
  text-decoration: none !important;
  cursor: pointer !important;
  display: inline-block;
  border: 1px solid transparent !important;
  text-align: center !important;
  border: 1px solid transparent !important;
  transition: background-color .1s ease 0s !important;
}

.uknf_solidish_whitetext {
  color: #fff !important;
}

.uknf_solidishblue {
  background-color: #07e !important;
  border-color: #07e !important;
}

.uknf_solidishblue:hover {
  background-color: #048 !important;
  transition: background-color .15s ease 0s !important;
}

.ukq-share-facebook {
  background-color: #3b5998 !important;
}

.ukq-share-facebook:hover {
  background-color: #1e2e4f !important;
}

.ukq-share-twitter {
  background-color: #55acee !important;
}

.ukq-share-twitter:hover {
  background-color: #147bc9 !important;
}

.ukq-share-pinterest {
  background-color: #bd081c !important;
}

.ukq-share-pinterest:hover {
  background-color: #5b040e !important;
}

.ukq-share-whatsapp {
  background-color: #25d366 !important;
}

.ukq-share-whatsapp:hover {
  background-color: #1da650 !important;
}

.uknf_solidish_wide {
  width: 100%;
}


/* Retry */

.ukq_retry {
  border: 1px solid #07e!important;
  color: #07e!important;
  background: none!important;
  width: 100%;
}

.ukq_retry:hover {
  background-color: #07e!important;
  color: #fff!important;
}


/* Invert for retake */

.ukq_immortal {
  background-color: #07e!important;
  color: #fff!important;
  width: 100%;
}

.ukq_immortal:hover {
  border: 1px solid #07e!important;
  color: #07e!important;
  background: none!important;
}


/* Shared SVG and general style */

.ukq_ebutton svg {
  height: 1em;
  width: 1em;
  margin: 0 !important;
  position: relative;
  left: -5px;
  top: 1px;
}

.ukq_retry svg path {
  fill: #07e;
}

.ukq_retry:hover svg path {
  fill: #fff;
}


/* Invert for retake */

.ukq_immortal svg path {
  fill: #fff;
}

.ukq_immortal:hover svg path {
  fill: #07e;
}


/* Timed image reveal */

.blackout {
  background-color: black;
}

.blackout-ld {
  background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAJMAAAA1BAMAAAC3jsTVAAAAGFBMVEUAAADR0dH///+UlJTv7+8mJiZVVVWzs7OAnLwpAAAB7UlEQVR4AeyTwW/aMBTGzbKYKwsrvTpfPLgGwnpG7rRzNKr1mrbVdi2w9e+fP+eproTVSV2k7sCTEn3v/czPCpbVqU51qjeuAi9ilIOq1mU7lMqhHlD1333gG56g3qF8VCEtnZ22TNlHnHdUcckIZsv+OUir9gDw8JQufcgLAIuoqhyAipsJSKvGgEWAN0DpAL/7lU9AVD2BewFp1QqX7dahpmDKbR888LPMRVXf1hEkVXnY7RZzpfRUMW2UDrPrqCpbbjmJIKnKsFB8VzIbwUiXR9Un337zqrGAtGqEuU860G1hz29gZKaiyvjuHSYRJFXvsWF01vscgC8wnCVVESRVXCHxCvZQAIaztErA31V7nPEEX6uSdfKzLvT+SX8g0wsqHoqcI1eIqkqqIkiqNKySc5RkvJhr9ZFKQJZW8fVb5XtMmGpeDaNy52dqfaQSsCK4/tCpfDfrg6juYQ+/YDsuqdo7B8NkH5c4VhEc1gHssVFj2D6ISjsA+BoudigjySZUz4HxAH0QlfoJYNExrQHsYCTNEqoAzghW4a+ToFTTKNb35qINIW+az1lTM941F8Th6UcR5DTohk0t4RWlO7n7/163s/CR8wFUDocfS2AygGoFVtkOoNIFAFv/GRVMAsWXsXECw8gFo2AUAADKKmzxXSjwjQAAAABJRU5ErkJggg==');
  background-position: center center;
  background-repeat: no-repeat;
}

.blackout img {
  opacity: 0;
}

.mostlyInvisible {
  height: 1px !important;
  opacity: 0.01;
  border: 0 !important;
  padding: 0 !important;
  overflow: hidden;
}

/* OK, MASH tweaks. */

#qt_result {
	margin: 0 auto;
	width: 100%;
	border-radius: 5px;
}

#qt_result {
  margin-top: 1.2rem !important;
}

#qt_card {
  background-color: #F5DBC5;
	margin: 0 auto;
	position: relative;
	z-index: 0;
	overflow: hidden;
  padding: 40px 24px 0;
  border-radius: 5px;
}

#qt_result.desktopProbably #qt_card {
  padding: 36px 40px 0 56px;
}

#qt_card::before {
  content: "";
  display: block;
  position: absolute;
  background-image: url('./img/dotted-squiggle.png');
  z-index: -1;
  background-size: 100% auto;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  left: 0;
  top: 30px;
}

#qt_result .logo {
  display: block;
  margin: 0 auto;
  margin-bottom: 28px;
}

#qt_result.desktopProbably .logo {
  margin-bottom: 43px;
}

#qt_result h1 {	
	font-size: 1.375rem;
	margin: 0 auto;
	text-align: center;
  font-weight: 900;
  margin-bottom: 8px;
}

#qt_result .presented_by {
  font-size: 16px;
  text-align: center;
  margin-bottom: 36px;
}

#qt_result .presented_by a {
  text-decoration: underline;
  color: #222;
}

#qt_result h2 {	
	font-size: 1rem;
	margin: 0 auto;
	margin-bottom: 8px;
}

#qt_result .block {
	padding: 24px;
	display: flex;
	flex-direction: row;
	align-items: center;
  background-color: #fff;
  box-shadow: -5px 6px 0px #1ACCB9;
  border-radius: 8px;
  margin-bottom: 20px;
}

#qt_result .text p {
	font-family: "Proxima Nova", sans-serif;
	margin: 0 auto;
  font-weight: 800;
  font-size: 18px;
  line-height: 22px;
}

#qt_load_in {
  position: relative;
  height: 400px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

#qt_result .hgbf {
  font-size: .875rem;
  padding: 0;
}

.qt_sharing {
  position: relative;
  padding: 1.5rem 0;
  padding-top: 1.8rem;
  min-height: 5rem;
  display: flex;
  justify-content: space-between;
}

.qt_sharing button {
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  padding: .4rem;
  border: 1px solid #0F49EA;
  border-radius: 2rem;
  margin: 0 1rem 0 0;
  background-color: transparent;
  height: 2.5rem;
}

.qt_sharing_circle:last-child {
  margin: 0 !important;
}

.qt_sharing_circle {
  width: 2.5rem;
}

.ukq-custom-retry {
  font-size: 1.1rem;
  cursor: pointer;
  padding-top: .3rem;
  font-weight: bold;
  color: #0F65EF;
  text-decoration: underline;
}

.qt_sharing svg {
  height: 1.3rem;
  width: 1.3rem;
  margin: 0 !important;
  position: relative;
}

.rbuts {
  display: flex;
}

.qt_sharing svg {
  fill: #0F65EF;
}

#name_input .disabled {
  opacity: .3;
}